<?php

/**
 * @package: patterns
 * @author: Yevhen Odynets
 * @date: 2025-07-04
 * @time: 10:42
 */

declare(strict_types = 1);

namespace Pattern\Structural\Decorator;

class BorderDecorator implements ShapeInterface
{
    public function __construct(private ShapeInterface $shape) {}

    public function draw(): void
    {
        echo '<div style="width: 8rem; height: 8rem; border: .5rem solid orange"></div>';
    }
}